Restore Service Instance From Backup

Restore Service Instance From Backup
Restore a service instance from a backup

Restores a service instance from a backup. The service offering must support OSMAPI backup feature. This is an asynchronous operation that returns a job to poll for completion.

Request
URI
POST
https://api.example.local/v3/service_instances/{service_instance_guid}/actions/restore
COPY
Path Parameters
string
service_instance_guid
Required

The unique identifier for the service instance


Request Body
{
    "backup_id": "string",
    "target_timestamp": "string",
    "restore_point": "string",
    "source_service_instance_guid": "string"
}
string
backup_id
Optional

The identifier of the backup to restore from

string As date-time As date-time
target_timestamp
Optional

Optional target timestamp for point-in-time recovery

string
restore_point
Optional

Optional restore point type (e.g., 'pitr' for point-in-time recovery)

string
source_service_instance_guid
Optional

Optional source service instance identifier for cross-instance restore

Authentication
This operation uses the following authentication methods.
Responses
202

Restore in progress

Operation doesn't return any data structure

Response Headers

string
Location

URL of the job that is restoring the backup


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/service_instances/{service_instance_guid}/actions/restore